<template>
    <div class="mainBlock">
        <side-menu/>
        <header-block/>
        <!-- <button @click="console.log('клик'), getRespFromCoinmarcetcap()">огонь!</button> --> 
        <div class="content">
            <div class="coins-monitor colomn">
                <adding-coin/>
                <div class="btns row">
                    <div class="favShow btn" @click="showFav">Show Favorite</div>
                    <div class="favClear btn" @click="clearFav">Clear Favorite</div>
                </div>
                <cards-list/>
            </div>
            <div v-if="isCoinsDisabled" class="router-content">
                <router-view></router-view>
            </div>
        </div>
    </div>
</template>

<script>
/* import { getCity } from './components/getCityByCountryCode' */
import CardsList from './components/CardsList.vue';
import AddingCoin from '@/components/AddingCoin.vue';
import HeaderBlock from "@/components/headerBlock/HeaderBlock.vue";
import sideMenu from './components/sideMenu.vue';
import { mapGetters, mapActions, mapMutations } from 'vuex';
/* import axios from 'axios'; */

export default {
    components: { CardsList, AddingCoin, HeaderBlock, sideMenu },

    data() {
        return {
            coinInterval: null,
            lang: 'ru',
            cryptoCurrency: null,
        }
    },
    computed: 
        mapGetters(['coinsCards','isCoinsDisabled']),
   
    methods: {
            ...mapActions(['getCryptoNews']),
            ...mapMutations(['showFav', 'clearFav']),
/*          async getRespFromCoinmarcetcap() {
        const resp = await axios.get('/api')
            console.log(resp)
        },

        fire() {
            console.log('in method')
            console.log(this.coinsArr[0])
            this.coinsArr = getCity()
        }, */
    },
    mounted() {
        this.getCryptoNews()
    } 
 }
</script>

<style>

html {
    min-height: min-content;
    height: 200%;  
}
body {
    background: linear-gradient(160deg, rgba(84,251,202,1) 0%, rgba(38,75,83,1) 69%);
    background-repeat: no-repeat;
    height: 100%;
    font-family: 'Orbitron', sans-serif;
    padding: 0;
    margin: 0;
}
.mainBlock {
    padding: 0 50px;
}
.row, .card, .colomn {
    display: flex;
    
}
.content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-right: 176px;
}
.row {
    flex-direction: row;
}
.colomn {
    flex-direction: column;
}
.cards {
    gap: 50px;
    margin-bottom: 20px;
}
.card{
    justify-content: center;
    background-color: gray;
    border-radius: 15px;
    color: rgb(77, 77, 77);
    align-items: center;
    width: 400px;
}
.card.selected {
        width: 100%;
}

.topCard {
    height: 100px;
    font-size: 40px;
    width: 400px;
    transition: all .6s ease;
    padding: 15px 30px;
}
p {
    font-size: 15px;
}
h5 {
    margin: 0;
}

.div, .minutes, .hours, .error {
    min-width: 20px;
    align-items: center;
    align-self: center;
}
.router-content {
    width: 800px;
    height: 500px;
}
.coins-monitor {
    gap: 10px;
}
.btns {
    gap: 30px;
}
.btn {
    background-color: gray;
    font-size: 18px;
    border-radius: 15px;
    padding: 10px 15px;
    color: rgb(77, 77, 77);
    align-items: center;
    align-self: center;
    justify-content: space-around;
    border: none;
    font-family: 'Orbitron', sans-serif;
    text-shadow: 1px 1px 5px rgb(0, 255, 242);
}

</style>
